Console API
  1. Security group
Console API
  • User
    • User Info
      GET
    • Ssh keys
      GET
  • IAM
    • Add user to user group
      POST
    • Create user group
      POST
    • Get roles
      GET
    • Get all user groups v2
      GET
    • Create user group v2
      PUT
    • Detail user group v2
      GET
    • Update user group v2
      PUT
    • Delete a user group v2
      DELETE
    • Get roles v2
      GET
    • Detail role v2
      GET
    • Delete a Role v2
      DELETE
    • Get user list of all VPCs
      GET
  • Tenant / Regions
    • Get Regions & Tenant info
      GET
    • Get Tenant Info
      GET
  • Project
    • Get project list
    • Create Project
    • Detail Project
    • Delete Project
  • VPC
    • Get VPC List (Tenant Owner)
    • Get VPC List
    • Rename VPC
    • Create VPC
    • Delete VPC
    • Get VPC Quota
    • Check user can create VPC
    • Get VPCs of User v2
  • Images
    • Get images
  • Flavors
    • Get flavors
  • Storage Policy
    • List
  • Instances
    • List
    • Detail
    • Security Group
    • Create instance
    • Power off
    • Reboot
    • Power on
    • Terminate
    • Resize
    • Lock Termination
    • Rename
    • Manage tag
    • Check VPC enable NVME
    • Get Monitor performance url
  • Subnet
    • List
    • Create
    • Rename
    • Delete
    • Manage tags
  • Security group
    • Security Group List
      GET
    • Security Group Detail
      GET
    • Rule Types
      GET
    • Create Security Group
      POST
    • Create Rule
      POST
    • Apply to private ip
      POST
    • Delete Rule
      POST
    • Delete security group
      DELETE
    • Manage tag
      POST
    • Get application ports
      GET
    • Get quota Security Group
      GET
  • Floating IP
    • List
    • Allocate
    • Connect to instance
    • Disconnect
    • Release
    • Manage tag
  • Activity Logs
    • List
  • Tags
    • Lists
  • Billing
    • Bill
      • Get bills by date
      • Get Bills by paging
      • Bill Info
      • Bill service types
  • S3
    • Get bucket policy
    • List buckets
    • Get s3 service enabled
  • IP Access
    • API Portal Access Log
  • Metal Cloud
    • Bare Metal Servers
      • List all servers
      • Get server details
      • Get server console URL
      • Create server (V2)
      • Create server (V1)
      • Rename a server (Portal name)
      • Power on a server
      • Power off a server
      • Delete a server
    • Subnets
      • Get an available subnet
      • Create a subnet
      • List all subnets
      • Delete a subnet
      • Update a subnet
    • Network ACLs
      • List all network ACLs
      • Update a network ACL
      • Get a network ACL details
      • List all rule groups of a Network ACL
      • List all rules of a group (Network ACL)
      • Update a rule of a network ACL
    • OS images
      • List all public images
      • List all custom images
      • Upload a new custom image to S3
      • Get presigned upload URLs
      • Upload a custom image from S3 to FPT image repository
      • Delete a custom image
      • Sync an image to Console (Portal)
    • Server flavors
      • Quota list
      • Get list server flavors
  • Storage Disk
    • Create Storage Disk
    • List Storages
    • Update
    • Create snapshot
    • Tagging
    • Attach
    • Detach
    • Delete
  • Instance Group
    • Create
    • Get policies
    • Get Instance groups
    • Delete
  • Instance Schedule
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • VPN
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • Task
    • Mark as read
  • Edge Gateway
    • Get list edge gateways
  • Schemas
    • Sample Schemas
      • CreateInstanceSchema
      • Pet
      • Category
      • Tag
    • Metal Cloud
      • Request
      • Bare Metal Server details
      • Subscription
      • Package details
      • Image
  1. Security group

Rule Types

Developing
GET
/api/v1/vmware/vpc/{vpc_id}/port-profiles

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v1/vmware/vpc//port-profiles' \
--header 'OrgId;' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
[
    {
        "id": "15395358-0485-4c2b-8fbd-970fbb4f0f15",
        "created_at": "2023-06-14T06:40:38",
        "name": "RDP",
        "destination_ports": "RDP 3389",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "19c6ca94-1d7c-4b8e-8dfc-093a5210913b",
        "created_at": "2023-06-14T06:40:38",
        "name": "SMTP",
        "destination_ports": "SMTP 25",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "204ca560-2f19-4517-818e-ab856c1ac1d9",
        "created_at": "2023-06-14T06:40:38",
        "name": "HTTPS",
        "destination_ports": "HTTPS 443",
        "updated_at": "2024-01-22T10:26:14"
    },
    {
        "id": "2d68b1e6-0115-44a6-a23d-e8bd9b7140b2",
        "created_at": "2023-06-14T06:40:38",
        "name": "IMAP",
        "destination_ports": "IMAP 143",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "332e8d08-3c7d-4447-b18a-a358041b2ba7",
        "created_at": "2023-06-14T06:40:38",
        "name": "POSTGRESQL",
        "destination_ports": "POSTGRESQL 5432",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "33c6061b-233c-460f-ad27-3baf1f3f6759",
        "created_at": "2023-06-14T06:40:38",
        "name": "LDAP",
        "destination_ports": "LDAP 389",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "54031f93-9d92-4ed5-b06d-480784ec0185",
        "created_at": "2023-06-14T06:40:38",
        "name": "DNS",
        "destination_ports": "DNS 53",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "58a25d12-15d2-4fb2-bcbc-8eaa77d522ce",
        "created_at": "2023-06-14T06:40:38",
        "name": "SMTP_SSL",
        "destination_ports": "SMTP_SSL 465",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "59759c43-857b-4051-9fb9-0b67cf7036ff",
        "created_at": "2023-06-14T06:40:38",
        "name": "IMAPS",
        "destination_ports": "IMAPS 993",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "74140d53-60bc-4ee4-9926-a1e362d6ef1a",
        "created_at": "2023-06-14T06:40:37",
        "name": "SSH",
        "destination_ports": "SSH 22",
        "updated_at": "2024-01-22T10:26:14"
    },
    {
        "id": "784cc5c8-9961-4074-9705-609d8a9e0deb",
        "created_at": "2023-06-14T06:40:38",
        "name": "POP3_SSL",
        "destination_ports": "POP3_SSL 995",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "7b0b88c4-0e3f-4a9d-8aa6-82470ec03258",
        "created_at": "2023-06-14T06:40:38",
        "name": "MYSQL",
        "destination_ports": "MYSQL 3306",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "8edd7f3c-56d1-4f16-8152-9483fef1ce7c",
        "created_at": "2023-06-14T06:40:38",
        "name": "ICMP",
        "destination_ports": "ICMP ALL",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "c336f652-2c5f-4e01-9858-5565278df558",
        "created_at": "2023-06-14T06:40:38",
        "name": "SMB",
        "destination_ports": "SMB 445",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "c3511c04-c154-4950-8697-d468f8fb3fcf",
        "created_at": "2023-06-14T06:40:38",
        "name": "POP3",
        "destination_ports": "POP3 110",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "e22689b2-1c05-40ca-b325-50414a4a5df8",
        "created_at": "2023-06-14T06:40:38",
        "name": "MSSQL",
        "destination_ports": "MSSQL 1433",
        "updated_at": "2024-01-22T10:26:15"
    },
    {
        "id": "ed55f780-6e33-4bb0-b04d-3010cab5afe4",
        "created_at": "2023-06-14T06:40:37",
        "name": "HTTP",
        "destination_ports": "HTTP 80",
        "updated_at": "2024-01-22T10:26:14"
    }
]
Modified at 2024-01-22 10:28:12
Previous
Security Group Detail
Next
Create Security Group
Built with